View Issue Details

IDProjectCategoryView StatusLast Update
0000694SymmetricDSBugpublic2012-07-11 16:14
ReportergwilmerAssigned Togwilmer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version3.0.8Fixed in Version3.0.8 
Summary0000694: JdbcSqlTemplate allows null SqlTemplateSettings and then uses it without null check later on
DescriptionJdbcSqlTemplate allows null SqlTemplateSettings and then uses it without null check later on.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master a2072755

2012-07-05 16:41:09

gwilmer

Details Diff
0000694 - Fix JdbcSqlTemplate to create new SqlTemplateSettings if one isn't provided.
0000694
mod - symmetric/symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTemplate.java Diff File

Issue History

Date Modified Username Field Change
2012-07-05 16:38 gwilmer New Issue
2012-07-05 16:38 gwilmer Status new => assigned
2012-07-05 16:38 gwilmer Assigned To => gwilmer
2012-07-05 16:40 gwilmer Resolution open => fixed
2012-07-05 16:40 gwilmer Fixed in Version => 3.1.0
2012-07-11 16:13 chenson Fixed in Version 3.1.0 => 3.0.8
2012-07-11 16:13 chenson Target Version 3.1.0 => 3.0.8
2012-07-11 16:14 chenson Status assigned => closed
2015-07-30 21:49 gwilmer Changeset attached => SymmetricDS master a2072755